{% extends 'default/public-layout.html.twig' %}
{% form_theme advertForm 'bootstrap_5_horizontal_layout.html.twig' %}

{% block pageTitle %}
    Création d'une annonce
{% endblock pageTitle %}


{% block content %}

<div class="row">
    <div class="col-12">
        {{ form_start(advertForm) }}
        {{ form_row(advertForm.title) }}
        {{ form_row(advertForm.price) }}
        <div class="row mb-3">
            {{ form_label(advertForm.gallery) }}
            {{ form_errors(advertForm.gallery) }}
            <div class="col-sm-10">
                <ul id="photo-gallery-list" class="collection-form list-group list-group-horizontal"
                    data-prototype="{{ form_widget(advertForm.gallery.photos.vars.prototype)|e }}"
                    data-widget-tags="{{ '<li class="list-group-item"></li>'|e }}"
                    data-widget-counter="{{ advertForm.gallery.photos | length }}">
                    {% for photoField in advertForm.gallery.photos %}
                        <li class="existantPhotos list-group-item">
                            {# ici le .value me retourne l'entité liée au champ de formulaire (une entité Photo)#}
                            <img src="{{ asset('uploads/'~photoField.vars.value.url) }}" alt="" width="100">
                            {{ form_widget(photoField, {'attr': {'class': 'd-none'}}) }}
                        </li>
                    {% endfor %}
                </ul>
                <button type="button"
                        class="add-another-collection-widget btn btn-primary btn-sm"
                        data-list-selector="#photo-gallery-list">+</button>

                {% do advertForm.gallery.setRendered %}
            </div>
        </div>
        {{ form_end(advertForm) }}

    </div>
</div>
{% endblock content %}


